<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Гостевая книга';
include_once '../sys/inc/thead.php';
title();
err();
require 'inc/admin_act.php';

if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
$mat=antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;
if (strlen2($msg)>1024){$err[]='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err[]='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `guest` WHERE `id_user` = '$user[id]' AND `msg` = '".my_esc($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
elseif(!isset($err)){
mysql_query("INSERT INTO `guest` (id_user, time, msg) values('$user[id]', '$time', '".my_esc($msg)."')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
########## Реётинг активности#################
mysql_query("UPDATE `user` SET `akt_rating` = '".($user['akt_rating']+0.002)."' WHERE `id` = '$user[id]' LIMIT 1");
########## Реётинг активности#################
msg('Сообщение успешно добавлено');
}
}

if (isset($user))
{
echo "<div class='fyt'>\n";
echo '<a href="'.$_SERVER['PHP_SELF'].'?'.$passgen.'">Обновить</a>';
echo "| <a href='/smiles.php'>Смайлы</a><br />\n";
echo "</div>\n";
echo '<form method="\post\" name="message" action="?$passgen">';
echo "Сообщение:<br />\n<textarea name='msg'></textarea><br />\n";
if (isset($user) && $user['set_translit']==1)echo "<label><input type='checkbox' name='translit' value='1' /> Транслит</label><br />\n";
echo "<input value='Отправить' type='submit' />\n";
echo "</form>\n";
}

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `guest`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
?>
<div class='noy'>Нет новостей</div>
<?
}

$q=mysql_query("SELECT * FROM `guest` ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{
$ank=get_user($post['id_user']);
if($num==1){
echo "<div class='enk_div'>\n";
$num=0;
}else{
echo "<div class='enk2_div'>\n";
$num=1;}
echo "".on($ank['id'])."\n";
echo "  </td>\n";
echo "  <td class='icon14'>\n";
echo "".status($ank['id'])."";
echo "  </td>\n";
echo "<a href='/info.php?id=$ank[id]'><span style='color:$ank[ncolor]'>$ank[nick]</span></a> \n";
echo " ".medal($ank['id'])." (".vremja($post['time']).")<br />";
echo output_text($post['msg'])."<br />\n";
if(isset($user)){
echo "[<a href='otvet.php?id=$post[id]'>Ответить</a>]\n";
}
if (user_access('guest_delete'))
echo "[<a href='delete.php?id=$post[id]'>Удалить</a>]<br />\n";
echo "</div>\n";
}
if ($k_page>1)str('?',$k_page,$page);



require 'inc/admin_form.php';
echo "<div class='fyt'>\n";
echo "<img src='/style/images/left.gif' alt='' class='icon'/> <a href='/'>Старт</a> &laquo Гостевая\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
?>